/**
* 文件：RoleUserQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.base.system.role.model;
import java.util.List;
/**
 * <p>Title: 角色用户</p>
 * <p>Description: RoleUserQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class RoleUserQuery extends RoleUserEntity{
	private static final long serialVersionUID = 1547777703352L;
	/** 开始 序号，主键，自增长 */
	private Long idStart;

	/** 结束 序号，主键，自增长 */
	private Long idEnd;

	/** 增加 序号，主键，自增长 */
	private Long idIncrement;

	/** 序号，主键，自增长 */
	private List<Long> idList;

	/** 开始 角色ID */
	private Long roleIdStart;

	/** 结束 角色ID */
	private Long roleIdEnd;

	/** 增加 角色ID */
	private Long roleIdIncrement;

	/** 角色ID */
	private List<Long> roleIdList;

	/** 开始 用户ID */
	private Long userIdStart;

	/** 结束 用户ID */
	private Long userIdEnd;

	/** 增加 用户ID */
	private Long userIdIncrement;

	/** 用户ID */
	private List<Long> userIdList;


	public RoleUserQuery(){
	}
	/**
	 * 获取 开始 序号，主键，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 序号，主键，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 序号，主键，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 序号，主键，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 序号，主键，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 序号，主键，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 序号，主键，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 序号，主键，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 开始 角色ID
	 * @return roleIdStart
	 */
	public Long getRoleIdStart(){
		return this.roleIdStart;
	}

	/**
	 * 设置 开始 角色ID
	 * @param roleIdStart
	 */
	public void setRoleIdStart(Long roleIdStart){
		this.roleIdStart = roleIdStart;
	}

	/**
	 * 获取 结束 角色ID
	 * @return roleIdEnd
	 */
	public Long getRoleIdEnd(){
		return this.roleIdEnd;
	}

	/**
	 * 设置 结束 角色ID
	 * @param roleIdEnd
	 */
	public void setRoleIdEnd(Long roleIdEnd){
		this.roleIdEnd = roleIdEnd;
	}

	/**
	 * 获取 增加 角色ID
	 * @return roleIdIncrement
	 */
	public Long getRoleIdIncrement(){
		return this.roleIdIncrement;
	}

	/**
	 * 设置 增加 角色ID
	 * @param roleIdIncrement
	 */
	public void setRoleIdIncrement(Long roleIdIncrement){
		this.roleIdIncrement = roleIdIncrement;
	}

	/**
	 * 获取 角色ID
	 * @return roleIdList
	 */
	public List<Long> getRoleIdList(){
		return this.roleIdList;
	}

	/**
	 * 设置 角色ID
	 * @param roleIdList
	 */
	public void setRoleIdList(List<Long> roleIdList){
		this.roleIdList = roleIdList;
	}

	/**
	 * 获取 开始 用户ID
	 * @return userIdStart
	 */
	public Long getUserIdStart(){
		return this.userIdStart;
	}

	/**
	 * 设置 开始 用户ID
	 * @param userIdStart
	 */
	public void setUserIdStart(Long userIdStart){
		this.userIdStart = userIdStart;
	}

	/**
	 * 获取 结束 用户ID
	 * @return userIdEnd
	 */
	public Long getUserIdEnd(){
		return this.userIdEnd;
	}

	/**
	 * 设置 结束 用户ID
	 * @param userIdEnd
	 */
	public void setUserIdEnd(Long userIdEnd){
		this.userIdEnd = userIdEnd;
	}

	/**
	 * 获取 增加 用户ID
	 * @return userIdIncrement
	 */
	public Long getUserIdIncrement(){
		return this.userIdIncrement;
	}

	/**
	 * 设置 增加 用户ID
	 * @param userIdIncrement
	 */
	public void setUserIdIncrement(Long userIdIncrement){
		this.userIdIncrement = userIdIncrement;
	}

	/**
	 * 获取 用户ID
	 * @return userIdList
	 */
	public List<Long> getUserIdList(){
		return this.userIdList;
	}

	/**
	 * 设置 用户ID
	 * @param userIdList
	 */
	public void setUserIdList(List<Long> userIdList){
		this.userIdList = userIdList;
	}


}